import pygame
 

pygame.init()

SCREEN_WIDTH = 800
SCREEN_HEIGHT = 500


import pygame


class Fondo():
    def __init__(self):
        pygame.sprite.Sprite.__init__(self)
        self.image1 = pygame.image.load('fondotiktok.png')
        self.image = pygame.transform.scale(self.image1, (SCREEN_WIDTH, SCREEN_HEIGHT))
        self.posx=0
        self.posy=0

      
class Personaje():
	def __init__(self ):
		self.maxframex=0
		self.maxframey=0
		self.sprite_sheet_image  = pygame.image.load('robot2.png').convert_alpha()
		self.width=0
		self.height=0
		self.saltar()

	def saltar(self):
		self.width=325
		self.height=480
		self.maxframex=29
		self.maxframey=4
		self.sprite_sheet_image  = pygame.image.load('robot2.png').convert_alpha()
		 

	def puntitas(self):
		self.width=463
		self.height=480
		self.maxframex=33
		self.maxframey=0
		self.sprite_sheet_image  = pygame.image.load('copete.png').convert_alpha()
		 

	def zapateo(self):
		self.width=481
		self.height=472
		self.maxframex=24
		self.maxframey=0
		self.sprite_sheet_image  = pygame.image.load('zapateo.png').convert_alpha()		

class SpriteSheet():
	def __init__(self, image):
		self.sheet = image
	#framex seria la posicion del ejex donde empieza
	#framey seria la posicion del ejey donde empieza	
	def get_image(self, framex,framey,maxframex,maxframey, width, height, scale, colour):
		image = pygame.Surface((width, height)).convert_alpha()
		image.blit(self.sheet, (0, 0), ((framex * width), (framey * height), width, height))
		image = pygame.transform.scale(image, (int(width * scale),int( height * scale)))
		image.set_colorkey(colour)
		 

		if int(framex )==maxframex :
			framex=0
			if int(framey )!=maxframey:
				framey=framey+1
			else:
				framey=0	

		framex=framex+1 

		return (image, framex , framey )


screen = pygame.display.set_mode((SCREEN_WIDTH, SCREEN_HEIGHT))
pygame.display.set_caption('Spritesheets')



BG = (255, 255, 255)
BLACK = (0, 0, 0)

clock = pygame.time.Clock()  
 
personaje=Personaje()
fondo=Fondo()

framex=0
framey=0
personaje.saltar()

run = True
while run:
	sprite_sheet =  SpriteSheet(personaje.sprite_sheet_image)
	maxframex=personaje.maxframex
	maxframey= personaje.maxframey
	width=personaje.width
	height=personaje.height
	#update background
	screen.fill(BG)
	(frameImage,framex,framey) = sprite_sheet.get_image(framex,framey,maxframex,maxframey, width, height, 1/2, BLACK)
	 
	screen.blit(fondo.image,( fondo.posx, fondo.posy))  
	#show frame image
	screen.blit(frameImage , (254, 93))
	 
         
	#event handler
	for event in pygame.event.get():
		if event.type == pygame.QUIT:
			run = False


		if event.type==pygame.KEYDOWN:
			if event.key==pygame.K_a:
				framex=0
				framey=0
				personaje.saltar()
			if event.key==pygame.K_s:
				framex=0
				framey=0
				personaje.zapateo()
			if event.key==pygame.K_d:
				framex=0
				framey=0
				personaje.puntitas()		


		if event.type==pygame.KEYUP:
			if event.key==pygame.K_a:
				framex=0
				framey=0
				personaje.saltar()
			if event.key==pygame.K_s:
				framex=0
				framey=0
				personaje.zapateo()	
			if event.key==pygame.K_d:
				framex=0
				framey=0
				personaje.puntitas()	
                     

	pygame.display.update()
 

	clock.tick(60)

pygame.quit()
